Package com.avaya.clientservices.call

## Enum ChatMessage.MessageStatus

- java.lang.Object
- - java.lang.Enum<ChatMessage.MessageStatus>
  - - com.avaya.clientservices.call.ChatMessage.MessageStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ChatMessage.MessageStatus>`
  Enclosing class:
    ChatMessage

      public static enum ChatMessage.MessageStatus
      extends java.lang.Enum<ChatMessage.MessageStatus>

  Possible states for a chat message: ePending - response not yet received. eConfirmed - message has been successfully sent to server and response has been received. eError - server returned an error.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CONFIRMED` |
    `ERROR` |
    `PENDING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ChatMessage.MessageStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ChatMessage.MessageStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PENDING

          public static final ChatMessage.MessageStatus PENDING

    - #### CONFIRMED

          public static final ChatMessage.MessageStatus CONFIRMED

    - #### ERROR

          public static final ChatMessage.MessageStatus ERROR

  - ### Method Detail

    - #### values

          public static ChatMessage.MessageStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChatMessage.MessageStatus c : ChatMessage.MessageStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChatMessage.MessageStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null